<?php
declare (strict_types = 1);

namespace app\admin\model;

use think\db\Builder;use think\Model;

/**
 * @mixin \think\Model
 */
class Base extends Model
{
    /**
 * @var array|string[]
 */
     protected static function boot()
    {
        parent::boot();

        // 应用全局作用域：未删除记录
        static::addGlobalScope('isDel', function (Builder $builder) {
            $builder->where('is_del', 0);
        });
    }
  }

